For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet webhook subscriptions
      • POSTSubscribe to a webhook
      • GETGet a webhook subscription
      • DELDelete a webhook subscription
      • PATCHUpdate a webhook subscription
      • POSTDisable a webhook subscription
      • POSTEnable a webhook subscription
      • POSTRegenerate a webhook secret and return the new webhook subscription
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralWebhook subscriptions

Regenerate a webhook secret and return the new webhook subscription

POST
/webhook_subscriptions/:webhook_subscription_id/regenerate_secret
POST
/v1/webhook_subscriptions/:webhook_subscription_id/regenerate_secret
$curl -X POST https://api.sandbox.monite.com/v1/webhook_subscriptions/webhook_subscription_id/regenerate_secret \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "event_types": [
4 "event_types"
5 ],
6 "object_type": "account",
7 "secret": "secret",
8 "status": "enabled",
9 "url": "url"
10}
Was this page helpful?
Previous

Get the webhook delivery log

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_subscription_idstringRequired

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"
event_typeslist of strings
object_typeenum
secretstring
statusenum
Allowed values:
urlstringformat: "uri"1-2083 characters

Errors

422
Post Webhook Subscriptions ID Regenerate Secret Request Unprocessable Entity Error
500
Post Webhook Subscriptions ID Regenerate Secret Request Internal Server Error